%define upstream_name    LWP-Curl
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    LWP methods implementation with Curl engine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Net::Curl::Easy)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(URI::file)
BuildRequires: perl(WWW::Curl::Easy)
BuildArch: noarch

%description
LWP::Curl provides an interface similar to the LWP library, but is built on
top of the Curl library. The simple LWP-style interface means you don't
have to know anything about the underlying library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-5.mga8
+ Revision: 1504911
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-4.mga7
+ Revision: 1284489
- Mageia 7 Mass Rebuild

* Thu Oct 05 2017 tv <tv> 0.140.0-3.mga7
+ Revision: 1169151
- BR perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-2.mga6
+ Revision: 1029484
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.140.0-1.mga6
+ Revision: 1002067
- New version 0.14

* Tue Feb 02 2016 umeabot <umeabot> 0.120.0-5.mga6
+ Revision: 931306
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 745328
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 685181
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 522601
- Mageia 4 Mass Rebuild

* Fri Mar 22 2013 jquelin <jquelin> 0.120.0-1.mga3
+ Revision: 404516
- imported package perl-LWP-Curl


* Fri Mar 22 2013 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
